import Vue from "vue";
import { VNodeDirective } from "vue";
export declare type HandleType = Vue | HTMLElement;
export interface Position {
    x: number;
    y: number;
}
export interface DraggableValue {
    handle?: HandleType;
    onPositionChange?: (pos: Position) => void;
    resetInitialPos?: boolean;
    stopDragging?: boolean;
}
export interface DraggableBindings extends VNodeDirective {
    value: DraggableValue;
}
export declare const Draggable: {
    update(el: HTMLElement, binding: DraggableBindings): void;
};
